local utils = require 'utils'

local Hostname_GetState = {}

function Hostname_GetState.invoke(...)
    local stdout, err, errMsg = utils.shell({'hostname'})
    if err ~= nil then
        return nil, err, errMsg
    end
    
    local hostname = utils.trim(stdout)
    return hostname
end

return Hostname_GetState
